/* CSS Dice: An Experiment by Jonathan Sampson - @jonathansampson */
/* from http://sampsonblog.com/289/of-dice-dabblet-and-css */
.die.zero:after { 
	background: transparent;
}
.die.one:after { 
	box-shadow: 0 .2em 0 #FFF 
}
.die.two:after { 
	background: transparent;
	box-shadow: -2.3em -2.3em 0 #345, 
		     2.3em  2.3em 0 #345, 
		    -2.3em -2.3em 0 #FFF, 
		     2.3em  2.4em 0 #FFF 
}
.die.three:after { 
	box-shadow: -2.3em -2.3em 0 #345, 
		     2.3em  2.3em 0 #345, 
		    -2.3em -2.3em 0 #FFF, 
		     2.3em  2.4em 0 #FFF, 
		         0   .2em 0 #FFF 
}
.die.four:after { 
	background: transparent;
        box-shadow: -2.3em -2.3em 0 #345, 
        	     2.3em  2.3em 0 #345, 
        	    -2.3em  2.3em 0 #345, 
        	     2.3em -2.3em 0 #345, 
        	    -2.3em -2.3em 0 #FFF, 
        	     2.3em  2.4em 0 #FFF, 
        	    -2.3em  2.4em 0 #FFF, 
        	     2.3em -2.3em 0 #FFF 
}
.die.five:after { 
	box-shadow: -2.3em -2.3em 0 #345, 
		     2.3em  2.3em 0 #345, 
		    -2.3em  2.3em 0 #345, 
		     2.3em -2.3em 0 #345, 
		    -2.3em -2.2em 0 #FFF, 
		     2.3em -2.2em 0 #FFF, 
		     2.3em  2.4em 0 #FFF, 
		    -2.3em  2.4em 0 #FFF,
		         0   .2em 0 #FFF 
}
.die.six:after {
	background: transparent;
	box-shadow: -2.3em -2.3em 0 #345,
		    -2.3em      0 0 #345,
		    -2.3em  2.3em 0 #345,
		     2.3em -2.3em 0 #345,
		     2.3em      0 0 #345,
		     2.3em  2.3em 0 #345,
		    -2.3em -2.1em 0 #FFF,
		    -2.3em   .2em 0 #FFF,
		    -2.3em  2.4em 0 #FFF,
		     2.3em  2.4em 0 #FFF,
		     2.3em   .2em 0 #FFF,
		     2.3em -2.1em 0 #FFF
}
.die {
	border-top: 1px solid #f1f1f1;
	width: 50px; height: 50px;
	border-radius: 10px;
	position: relative;
	margin: 10px;
	font-size: 6px;
	background: white;
	display: inline-block;
	vertical-align: middle;
/* 	box-shadow: 0px 5px 0 #CCC, 0 6px 3px #444, 0 10px 5px #999; */
	box-shadow: 0px 2px 0 #CCC, 0 3px 1px #444, 0 6px 3px #999;
	background-image: linear-gradient(top, #fefefe, #f1f1f1 80%)
}
.die:after {
        content: "";
	width: 20%; 
	height: 20%; 
	left: 50%; 
	top: 50%;
	margin: -10%;
	background: #345;
	border-radius: 50%;
	display: block;
	position: absolute;
}